[arch-commits] Commit in plan9port/trunk (PKGBUILD)
Alexander Rødseth
arodseth at archlinux.org
Thu Oct 12 10:56:53 UTC 2017
Date: Thursday, October 12, 2017 @ 10:56:52
Author: arodseth
Revision: 262429
upgpkg: plan9port 20171012-1
Modified:
plan9port/trunk/PKGBUILD
----------+
PKGBUILD | 23 ++++++++++++++---------
1 file changed, 14 insertions(+), 9 deletions(-)
Modified: PKGBUILD
===================================================================
--- PKGBUILD 2017-10-12 10:15:47 UTC (rev 262428)
+++ PKGBUILD 2017-10-12 10:56:52 UTC (rev 262429)
@@ -5,11 +5,11 @@
# Contributor: Chris Brannon <cmbrannon79 at gmail.com>
pkgname=plan9port
-pkgver=20170426.9e
-pkgrel=2
+pkgver=20171012
+pkgrel=1
pkgdesc='Ports of applications from Plan 9'
arch=('x86_64' 'i686')
-url='http://swtch.com/plan9port/'
+url='https://swtch.com/plan9port/'
license=('custom')
depends=('xorg-server' 'libxt' 'libxext' 'fuse2')
makedepends=('gendesk' 'git')
@@ -34,17 +34,21 @@
--comment 'Editor from Plan9' \
--categories 'Application;Development;TextEditor'
+ cd "$pkgname"
+
# Use _DEFAULT_SOURCE instead of _BSD_SOURCE
- grep -rl _BSD_SOURCE "$pkgname" | xargs sed -i s':_BSD_SOURCE:_DEFAULT_SOURCE:g'
+ grep -rl _BSD_SOURCE | xargs sed -i s':_BSD_SOURCE:_DEFAULT_SOURCE:g'
+
+ # Try the gentoo way for fixing hardcoded paths
+ grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!/usr/lib/plan9!g"
+
+ # Stop 9l from giving an 'undefined reference error' given no arguments, ref #55640
+ sed -i '1i[ "$1" == "" ] && exit 1' bin/9l
}
package() {
cd "$pkgname"
- # Try the gentoo way for fixing hardcoded paths
- PLAN9=/usr/lib/plan9
- grep --null -l -r '/usr/local/plan9' | xargs --null sed -i "s!/usr/local/plan9!${PLAN9}!g"
-
d=usr/lib
./INSTALL -b
@@ -82,6 +86,7 @@
done
# Once more
+ PLAN9=/usr/lib/plan9
grep --null -l -r "$pkgdir$PLAN9" | xargs --null sed -i "s!$pkgdir$PLAN9!${PLAN9}!g" || true
grep --null -l -r "/build/plan9port/pkg/plan9port/$PLAN9" | xargs --null sed -i "s!/build/plan9port/pkg/plan9port/$PLAN9!${PLAN9}!g" || true
@@ -95,4 +100,4 @@
rm -rf "$pkgdir/usr/lib/plan9/.git"
}
-# vim:set ts=2 sw=2 et:
+# vim: ts=2 sw=2 et:
More information about the arch-commits
mailing list